// command.h

#ifndef _COMMAND_H
#define _COMMAND_H

#define	FIRST_USER_FLASH_BLK	3
#define LAST_USER_FLASH_ADDR	0xFBFFF

#define FIRST_USER_FLASH_ADDR	0xA0000L
#define FIRST_USER_FL_ADDR_TXT	"000A0000"
#define RESET_VECTOR_OFFSET		0x20

#define INT_RAM_BASE_ADDRESS	0x3000

void InitCommandHandler (void);
void RunCommandHandler (void);
void ShowMenu (void);
void Command_1 (void);
void Command_2 (void);
void Command_3 (void);
void Command_4 (void);
void Command_5 (void);
void reverse(char s[]);
void itoa(long n, char s[], unsigned char base);

typedef unsigned char (*pt2FunctionErase)(unsigned long, unsigned short * );

#endif
