/**************************************************************************
*  DISCLAIMER:                                                            *
*  We (Renesas Technology Europe Ltd) do not warrant that the Software is *
*  free from claims by a third party of copyright, patent, trademark,     *
*  trade secret or any other intellectual property infringement.          *
*                                                                         *
*  Under no circumstances are we liable for any of the following:         *
*                                                                         *
*  1. third-party claims against you for losses or damages;               *
*  2. loss of, or damage to, your records or data; or                     *
*  3. economic consequential damages (including lost profits or           *
*     savings) or incidental damages, even if we are informed of          *
*     their possibility.                                                  *
*                                                                         *
*  We do not warrant uninterrupted or error free operation of the         *
*  Software. We have no obligation to provide service, defect             *
*  correction, or any maintenance for the Software. We have no            *
*  obligation to supply any Software updates or enhancements to you       *
*  even if such are or later become available.                            *
*                                                                         *
*  IF YOU DOWNLOAD OR USE THIS SOFTWARE YOU AGREE TO THESE TERMS.         *
*                                                                         *
*  THERE ARE NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING THE             *
*  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A                *
*  PARTICULAR PURPOSE.                                                    *
*                                                                         *
***************************************************************************/

#include "iom16c62p.h"
#include "serial.h"
#include "delay_timer.h"
#include "command.h"
#include <intrinsics.h>
#include <string.h>


void main (void) 
{
	__enable_interrupt();
	
	InitCommandHandler();
	RunCommandHandler();
	
	while(1)
	{
	}
}

